#!/usr/bin/env python3
"""
Various things related to Banished Quest.
"""
from datetime import datetime

import tools
import config
from module import commands

@commands('bq')
def BQstatus(bot, trigger):
	"""
	Displays the current status of BQ.
	https://twitter.com/Quidam_Asinus/status/1067130989422489600
	"""
	status = "\x0304DEAD"
	deathdate = datetime(2017, 2, 16, 0, 19, 0)
	msg = "Banished Quest status: " + status + "\nTime since death: "
	msg += tools.relative_time(datetime.now(), deathdate) + " ago "
	msg += deathdate.strftime(config.default_time_format)
	bot.msg(msg)
