#!/usr/bin/env python3
"""
Bans a user as soon as they join a channel.
"""
import time

from module import user_joined
from tools import configureHostMask

@user_joined(True)
def ban_join(bot, trigger):
	"""
	Bans a user as soon as they join a channel.
	"""
	banhee = trigger.nick
	banmask = configureHostMask(banhee)
	period = 60

	bot.mode(trigger.channel, True, "b", mask=banmask)
	time.sleep(period)
	bot.mode(trigger.channel, False, "b", mask=banmask)
