#!/usr/bin/env python3
"""
Checks a given user's privilege.
"""
import random

from module import commands


@commands("check")
def check_privilege(bot, trigger):
	"""
	Checks the user's privilege.
	"""
	if len(trigger.args) > 1:
		nick = trigger.args[1]
	else:
		nick = trigger.nick
	
	random.seed(nick)
	bot.msg("Privilege: " + str(random.randint(1,9001)))
	random.seed()
