#!/usr/bin/env python3
"""
Redpill on the Bogdanovs.
"""
import os
import random

from module import commands, example

@commands("rundown")
@example(".rundown")
def rundown(bot, trigger):
	"""
	Provides rundown on demand. -c, --cabal for the IRCabal version.
	"""
	if len(trigger.args) > 2:
		if trigger.args[1] in ["-c", "--cabal"]:
			with open(os.path.join(bot.static, "cabaldown.txt"), "r") as file:
				data = file.read()
	else:
		with open(os.path.join(bot.static, "rundown.txt"), "r") as file:
			data = file.read()
	bot.msg(data)
